Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.tsp
Class Accuracy

    java.lang.Object
      org.bouncycastle.asn1.ASN1Object
          org.bouncycastle.asn1.tsp.Accuracy

All Implemented Interfaces:
  ASN1Encodable, Encodable

public class Accuracy
extends ASN1Object

Field Summary
`protected static int` | `MAX_MICROS`
`protected static int` | `MAX_MILLIS`
`protected static int` | `MIN_MICROS`
`protected static int` | `MIN_MILLIS`

Constructor Summary
`protected` | `Accuracy()` Deprecated. Will be removed
`` | `Accuracy(ASN1Integer seconds, ASN1Integer millis, ASN1Integer micros)`

Method Summary
`static Accuracy` | `getInstance(ASN1TaggedObject taggedObject, boolean declaredExplicit)`
`static Accuracy` | `getInstance(java.lang.Object obj)`
`ASN1Integer` | `getMicros()`
`ASN1Integer` | `getMillis()`
`ASN1Integer` | `getSeconds()`
`static Accuracy` | `getTagged(ASN1TaggedObject taggedObject, boolean declaredExplicit)`
`ASN1Primitive` | `toASN1Primitive()` Accuracy ::= SEQUENCE { seconds INTEGER OPTIONAL, millis [0] INTEGER (1..999) OPTIONAL, micros [1] INTEGER (1..999) OPTIONAL }

Methods inherited from class org.bouncycastle.asn1.ASN1Object
`encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MIN_MILLIS

    protected static final int MIN_MILLIS

See Also:
  Constant Field Values

### MAX_MILLIS

    protected static final int MAX_MILLIS

See Also:
  Constant Field Values

### MIN_MICROS

    protected static final int MIN_MICROS

See Also:
  Constant Field Values

### MAX_MICROS

    protected static final int MAX_MICROS

See Also:
  Constant Field Values

Constructor Detail

### Accuracy

    protected Accuracy()

  Deprecated. Will be removed

### Accuracy

    public Accuracy(ASN1Integer seconds,
                    ASN1Integer millis,
                    ASN1Integer micros)

Method Detail

### getInstance

    public static Accuracy getInstance(java.lang.Object obj)

### getInstance

    public static Accuracy getInstance(ASN1TaggedObject taggedObject,
                                       boolean declaredExplicit)

### getTagged

    public static Accuracy getTagged(ASN1TaggedObject taggedObject,
                                     boolean declaredExplicit)

### getSeconds

    public ASN1Integer getSeconds()

### getMillis

    public ASN1Integer getMillis()

### getMicros

    public ASN1Integer getMicros()

### toASN1Primitive

    public ASN1Primitive toASN1Primitive()

  Accuracy ::= SEQUENCE { seconds INTEGER OPTIONAL, millis [0] INTEGER (1..999) OPTIONAL, micros [1] INTEGER (1..999) OPTIONAL }

  Specified by:
    `toASN1Primitive` in interface `ASN1Encodable`
  Specified by:
    `toASN1Primitive` in class `ASN1Object`
  Returns:
    a primitive representation of this object.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD